<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.game.business.mapper.AppUserCountMapper">

    <update id="updateCount" parameterType="com.game.business.domain.AppUserCount">
        update app_user_count
        <trim prefix="SET" suffixOverrides=",">
            <if test="rechargeAmount != null">
                recharge_amount = recharge_amount + #{rechargeAmount},
            </if>
            <if test="rechargeCommission != null">
                recharge_commission = recharge_commission + #{rechargeCommission},
            </if>
            <if test="rechargeGive != null">
                recharge_give = recharge_give + #{rechargeGive},
            </if>
            <if test="withdrawalAmount != null">
                withdrawal_amount = withdrawal_amount + #{withdrawalAmount},
            </if>
            <if test="withdrawalCommission != null">
                withdrawal_commission = withdrawal_commission + #{withdrawalCommission},
            </if>
            <if test="liveUseAmount != null">
                live_use_amount = live_use_amount + #{liveUseAmount},
            </if>
            <if test="liveCommission != null">
                live_commission = live_commission + #{liveCommission},
            </if>
            <if test="gameWinAmount != null">
                game_win_amount = game_win_amount + #{gameWinAmount},
            </if>
            <if test="gameLoseAmount != null">
                game_lose_amount = game_lose_amount + #{gameLoseAmount},
            </if>
            <if test="gameCommission != null">
                game_commission = game_commission + #{gameCommission},
            </if>
            <if test="gameBetting != null">
                game_betting = game_betting + #{gameBetting},
            </if>
            <if test="liveBettingCommission != null">
                live_betting_commission = live_betting_commission + #{liveBettingCommission},
            </if>
            <if test="liveInvite != null">
                live_invite = live_invite + #{liveInvite},
            </if>
            <if test="liveProfit != null">
                live_profit = live_profit + #{liveProfit},
            </if>
            <if test="updateTime != null">
                update_time = #{updateTime},
            </if>
            <if test="countTime != null">
                count_time = #{countTime},
            </if>
            <if test="gameCountTime != null">
                game_count_time = #{gameCountTime},
            </if>
        </trim>
        where id = #{id}
    </update>

</mapper>